<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<?php include ("stp.php"); ?>


<script language="javascript">
function fecha_janela(){
window.opener = window;
window.close();
}
</script>



<style type="text/css">

body {
}

#listaitenstop {
float: left;
width: 99%;
background-color: #FFF;
padding: 5px;
padding-left: 10px;
padding-top: 10px;
color: black;
border-bottom: 1px solid #888;
}

#listaitens {
float: left;
width: 99%;
background-color: #EDF0FC;
padding: 5px;
padding-left: 10px;
padding-top: 10px;
color: black;
border-left: 1px solid #888;
border-right: 1px solid #888;
}

#listadetalhes {
float: left;
width: 99%;
background-color: #F4F6FD;
padding: 5px;
padding-left: 10px;
color: black;
border-left: 1px solid #888;
border-right: 1px solid #888;
border-bottom: 1px solid #888;
}

#listaeditar {
float: right;
width: 100px;
text-align: center;
padding: 5px;
}

#nomeitem {
float: left;
width: auto;
max-width: 500px;
text-align: center;
padding: 5px;
}



</style>
</head>
<body>



<?php

include ("stp.php");






if($opcao=='criartabelaitens')
{	            
$comando = "drop table if exists itens";
$banco = mysql_select_db($base);
      if($pesquisa = mysql_query($comando,$conecta))		 
echo 'Tabela exclu&iacute;da com sucesso...<br/>';

$comando = "create table itens ( 
cod_item integer not null primary key auto_increment, 
item text,
detalhes text,
id_item varchar (10),
lista varchar (300))"; 

$banco = mysql_select_db($base);
      if($pesquisa = mysql_query($comando,$conecta))		 
echo 'Tabela criada com sucesso...<br/>';
}  


 


if($opcao=='altitensmap')
{
include ("mod_AltItensMap.php");
}








if($opcao=='novoitem')
{
  if(empty($item))
  {

echo'
<h1>
Novo Item
</h1>';

include ("form_NovoItem.php");

  }
else
  {
     	  
$comando = "insert into itens values (0,
'".$item."',
'".$detalhes."',
'".$id_item."',
'".$lista."' )";

$banco = mysql_select_db($base);
      if($pesquisa = mysql_query($comando,$conecta))

echo '
<center>
<br/><br/><br/><br/>
A item foi inserido com sucesso... 
<br/><br/>
<a href="javascript:;" onclick="fecha_janela()">
FECHAR ESTA JANELA
</a>
</center>';

  }
}










  if($opcao=='visualizaritens')
  {


echo'
<h1>
Itens
</h1>

<div id="listaitenstop">
<div id="nomeitem">

Itens

</div>
<div id="listaeditar">

Excluir

</div>
<div id="listaeditar">

Editar

</div>
<div id="listaeditar">

C&oacute;digo

</div>
<div id="listaeditar">

ID

</div>
</div>';

$sql = "select * from itens order by id_item ASC";
$result = mysql_query ($sql);
while ( $valor = mysql_fetch_array($result) )
     {
        if($result == TRUE)
        {
echo'
<div id="listaitens">

<div id="nomeitem">

'.$valor["item"].'

</div>

<div id="listaeditar">
<a href="?lg='.$lg.'&pg=itens&opcao=excluiritem&cod='.$valor["cod_item"].'">
X
</a>
</div>

<div id="listaeditar">
<a href="?lg='.$lg.'&pg=itens&opcao=editaritem&cod='.$valor["cod_item"].'">
/~
</a>
</div>

<div id="listaeditar">
'.$valor["cod_item"].' 
</div>

<div id="listaeditar">
'.$valor["id_item"].'
</div>

</div>

<div id="listadetalhes">
'.$valor["detalhes"].'
</div>';

         }

     }//end while

  }








  if($opcao=='visualizaritens2')
  {
echo'
<h1>
Editor de Itens e Listas
</h1>

<div id="listaitenstop">
<div id="listaitens">
Listas
</div>
<div id="listaeditar">
Excluir Itens
</div>
<div id="listaeditar">
Editar Itens
</div>
<div id="listaeditar">
C&oacute;digo
</div>
<div id="listaeditar">
<a href="?lg='.$lg.'&opcao=novoitem">
+ ITEM
</a>
</div>
</div>

<div id="listaitenstop">
Listas
</div>';

$sql = "select * from itens where lista = 0 order by assunto ASC";
$result = mysql_query ($sql);
while ( $valor = mysql_fetch_array($result) )
     {
        if($result == TRUE)
        {
echo'
<div id="listaitens">
<div id="nomeitem">
'.$valor["item"].'
</div>
<div id="listaeditar">
<a href="?lg='.$lg.'&opcao=excluiritem&cod='.$valor["cod_item"].'">
X
</a>
</div>
<div id="listaeditar">
<a href="?lg='.$lg.'&opcao=editaritem&cod='.$valor["cod_item"].'">
/~
</a>
</div>
</div>';
         }
     }//end while

echo'
<div id="listaitenstop">
LISTA
</div>';


$sql = "select * from itens order by lista ASC limit 1,7";
$result = mysql_query ($sql);
while ( $valor = mysql_fetch_array($result) )
     {
        if($result == TRUE)
        {
echo'
<div id="listaitens">
<div id="nomeitem">
'.$valor["item"].'
</div>
<div id="listaeditar">
<a href="?lg='.$lg.'&opcao=excluiritem&cod='.$valor["cod_item"].'">
X
</a>
</div>
<div id="listaeditar">
<a href="?lg='.$lg.'&opcao=editaritem&cod='.$valor["cod_item"].'">
/~
</a>
</div>
</div>';
         }
     }//end while


echo'
<div id="listaitenstop">
LISTAS
</div>';


$sql = "select * from itens order by lista ASC limit 8,1000";
$result = mysql_query ($sql);
while ( $valor = mysql_fetch_array($result) )
     {
        if($result == TRUE)
        {
echo'
<div id="listaperguntas">
<div id="listaitens">
'.$valor["assunto"].'
</div>
<div id="listaeditar">
<a href="?lg='.$lg.'&opcao=excluirassunto&cod='.$valor["cod_assunto"].'">
X
</a>
</div>
<div id="listaeditar">
<a href="?lg='.$lg.'&opcao=editarassunto&cod='.$valor["cod_assunto"].'">
/~
</a>
</div>
</div>';
         }
     }//end while




  }














  if($opcao=='editaritem')
  {  
	if($flag!='gravar')
	{	  
      $comando = "select * from itens where cod_item = ".$cod;
      $banco = mysql_select_db($base);
      if($pesquisa = mysql_query($comando,$conecta))
         {
        $valor = mysql_fetch_array($pesquisa);
echo'
<h2>
Editar Item
</h2>';
include ("form_AltItem.php");
           }
	}
  if($flag=='gravar')
  {
$comando = "update itens set 
item = '".$item."',
detalhes = '".$detalhes."',
id_item = '".$id_item."',
lista = '".$lista."'
where cod_item = ".$cod;
      $banco = mysql_select_db($base);
      if($pesquisa = mysql_query($comando,$conecta))   
echo '
O item foi alterado com sucesso... 
<br/>
<br/>
<a href="?lg='.$lg.'&opcao=visualizaritens">
<< VOLTAR
</a>';

  }

}

















if($opcao=='excluiritem')
{

  if(empty($flag))
	  
echo 'Deseja mesmo excluir o item?<br>
<a href="?lg='.$lg.'&pg=itens&opcao=excluiritem&flag=sim&cod='.$cod.'">
Sim
</a>
&nbsp;&nbsp;&nbsp;
<a href=href="?lg='.$lg.'&pg=itens&opcao=excluiritem&flag=nao">
N&atilde;o
</a>';


  if($flag=='sim')
  {
      $comando = "delete from itens where cod_item = ".$cod;
      $banco = mysql_select_db($base);
      if($pesquisa = mysql_query($comando,$conecta))

echo '
O item foi excluido com sucesso... 
<br/>
<br/>
<a href="?lg='.$lg.'&pg=itens&opcao=visualizaritens">
<< VOLTAR
</a>';

  }

if($flag=='nao')
{echo 'Nenhum item foi exclu&iacute;do.
<br/>
<br/>
<a href="?lg='.$lg.'&pg=itens&opcao=visualizaritens">
<< VOLTAR
</a>';}
  
}














?>

</body>
</html>